Production orders: Bimp API methods
Bimp API methods for the “Production orders” resource (/org2/production-order/…): 6 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/production-order/api-read | A request to obtain detailed information for a particular production order |
POST /org2/production-order/api-readList | A request to view a list of production orders |
POST /org2/production-order/api-create | A request to create a new production order |
POST /org2/production-order/api-update | A request to update an existing production order |
POST /org2/production-order/api-readStatuses | A request to retrieve the available statuses for a production order document |
POST /org2/production-order/api-cancel | Cancel a production order document |
api-read
POST /org2/production-order/api-read
A request to obtain detailed information for a particular production order
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for the Production order document |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for the Production order document |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
number | string | Production number |
comment | string | An optional text field for any additional notes or comments related to the document |
name | string | Production order name |
baseDocument | string (uuid) | A unique identifier for the Production order document, obtainable from the /production-order/api-readList request |
responsible | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
startDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
finishDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
manufacturer | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
status | string (uuid) | A unique identifier for the Production order status, obtainable from the /production-order/api-readStatuses request |
distributionType | number (0) | number (1) | Cost distribution type code |
archived | boolean | Whether the production order is archived |
counterparty | string (uuid) | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request |
products | object[] | An array of product objects, representing the nomenclatures included in the document |
products[].nomenclature | string (uuid) | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
products[].quantity | number | The amount of items |
products[].price | number | The price of the item/document |
products[].totalSum | number | The sum of the document |
products[].order | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request |
products[].uniqueId | string | Row unique id of the product line |
products[].unit | string (uuid) | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
products[].specification | string (uuid) | A unique identifier for the Specification, obtainable from the /specification/api-readList request |
products[].costShare | number | Cost share |
products[].comment | string | An optional text field for any additional notes or comments related to the document |
products[].reserve | number | The amount of the product that has been reserved |
materials | object[] | Materials required for production |
materials[].nomenclature | string (uuid) | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
materials[].quantity | number | The amount of items |
materials[].warehouse | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
materials[].price | number | The price of the item/document |
materials[].totalSum | number | The sum of the document |
materials[].reserve | number | The amount of the product that has been reserved |
materials[].stockBalance | number | Stock balance on the warehouse |
materials[].readyQuantity | number | Quantity of the finished product |
materials[].specificationQuantity | number | Quantity in the specification |
materials[].uniqueId | string | Row unique id of the material line |
materials[].relatesTo | string | uniqueId of the related product line |
materials[].stageId | string | uniqueId of the related production stage |
materials[].unit | string (uuid) | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
materials[].specification | string (uuid) | A unique identifier for the Specification, obtainable from the /specification/api-readList request |
materials[].batch | object | null | Material batch / lot |
materials[].supplier | object | null | A unique identifier for a counterparty of type ‘isSupplier’. You can retrieve this UUID using the /counterparty/api-readList request |
materials[].contract | object | null | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
materials[].analogWriteOffMethod | number | Method of writing off analogs |
operationType | number | Production operation type code |
operationKind | number | Production operation kind code |
createProductionOrdersForMaterials | boolean | Create production orders for materials automatically |
documentType | string | Document type code |
withoutSpecification | boolean | Whether the order is without a specification |
productionType | number (0) | number (1) | number (2) | Production type: 0 — own production, 1 — external tolling, 2 — own tolling |
unfulfilledCount | number | Count of unfulfilled items |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request |
project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request |
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
banDate | string | null | Document ban date, if posting is restricted |
banUpsert | boolean | Whether upsert of the document is banned |
productionStages | object[] | Production stages of the order |
productionStages[].uniqueId | string | Row unique id of the production stage |
productionStages[].relatesTo | string | uniqueId of the related product line |
productionStages[].stage | object | null | Production stage catalog reference |
productionStages[].priority | number | Stage priority / order |
productionStages[].quantity | number | The amount of items |
productionStages[].executionTime | number | Stage execution time |
productionStages[].sum | number | The sum of the document |
productionOperations | object[] | Production operations of the order |
productionOperations[].uniqueId | string | Row unique id of the production operation |
productionOperations[].relatesTo | string | uniqueId of the related production stage |
productionOperations[].technologicalOperation | object | null | Technological operation catalog reference |
productionOperations[].performer | object | null | A unique identifier for the Employee, obtainable from the /employee/api-readList |
productionOperations[].contract | object | null | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
productionOperations[].executionTime | number | Operation execution time |
productionOperations[].quantity | number | The amount of items |
productionOperations[].price | number | The price of the item/document |
productionOperations[].sum | number | The sum of the document |
productionOperations[].nomenclature | object | null | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
productionOperations[].characteristic | object | null | Nomenclature characteristic reference |
operationDependencies | object[] | Dependencies between production operations |
operationDependencies[].uniqueId | string | uniqueId of the dependent production operation |
operationDependencies[].relatesTo | string | uniqueId of the related preceding operation |
The full list of fields is in the interactive documentation.
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readList
POST /org2/production-order/api-readList
A request to view a list of production orders
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | |
pagination.offset | number | yes | Begin from {offset} elements |
pagination.count | number | yes | Limit of paginated elemets |
filters | object | ||
filters.created | string[] | Filter by creation date range [date1, date2] | |
filters.updated | string[] | Filter by update date range [date1, date2] |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for the Production order document |
[].name | string | Production order name |
[].comment | string | An optional text field for any additional notes or comments related to the document |
[].date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].number | string | Production number |
[].status | string (uuid) | A unique identifier for the Production order status, obtainable from the /production-order/api-readStatuses request |
[].manufacturer | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
[].startDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].finishDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].responsible | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
[].products | object[] | |
[].products[].nomenclature | string (uuid) | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
[].products[].name | string | Nomenclature name |
[].products[].article | string | Nomenclature article |
[].products[].sku | string | Nomenclature SKU |
[].products[].quantity | number | The amount of items |
[].products[].price | number | The price of the item/document |
[].products[].sum | number | The sum of the document |
[].products[].reserve | number | The amount of the product that has been reserved |
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-create
POST /org2/production-order/api-create
A request to create a new production order
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
startDate | string | yes | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
finishDate | string | yes | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
responsible | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList request | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | Production number | |
comment | string | An optional text field for any additional notes or comments related to the document | |
manufacturer | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request | |
status | string (uuid) | A unique identifier for the Production order status, obtainable from the /production-order/api-readStatuses request | |
baseDocument | string (uuid) | A unique identifier for the Production order document, obtainable from the /production-order/api-readList request | |
operationType | number | Production operation type code | |
operationKind | number | Production operation kind code | |
createProductionOrdersForMaterials | boolean | Create production orders for materials automatically | |
documentType | string | Document type code | |
withoutSpecification | boolean | Whether the order is without a specification | |
productionType | number (0) | number (1) | number (2) | Production type: 0 — own production, 1 — external tolling, 2 — own tolling | |
unfulfilledCount | number | Count of unfulfilled items | |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request | |
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request | |
archived | boolean | Whether the production order is archived | |
distributionType | number (0) | number (1) | Cost distribution type code | |
banDate | string | null | Document ban date, if posting is restricted | |
banUpsert | boolean | Whether upsert of the document is banned | |
productionStages | object[] | Production stages of the order | |
productionStages[].uniqueId | string | Row unique id of the production stage | |
productionStages[].relatesTo | string | uniqueId of the related product line | |
productionStages[].stage | object | null | Production stage catalog reference | |
productionStages[].priority | number | Stage priority / order | |
productionStages[].quantity | number | The amount of items | |
productionStages[].executionTime | number | Stage execution time | |
productionStages[].sum | number | The sum of the document | |
productionOperations | object[] | Production operations of the order | |
productionOperations[].uniqueId | string | Row unique id of the production operation | |
productionOperations[].relatesTo | string | uniqueId of the related production stage | |
productionOperations[].technologicalOperation | object | null | Technological operation catalog reference | |
productionOperations[].performer | object | null | A unique identifier for the Employee, obtainable from the /employee/api-readList | |
productionOperations[].contract | object | null | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request | |
productionOperations[].executionTime | number | Operation execution time | |
productionOperations[].quantity | number | The amount of items | |
productionOperations[].price | number | The price of the item/document | |
productionOperations[].sum | number | The sum of the document | |
productionOperations[].nomenclature | object | null | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request | |
productionOperations[].characteristic | object | null | Nomenclature characteristic reference | |
operationDependencies | object[] | Dependencies between production operations | |
operationDependencies[].uniqueId | string | uniqueId of the dependent production operation | |
operationDependencies[].relatesTo | string | uniqueId of the related preceding operation | |
operationDependencies[].previousOperation | string | Previous operation identifier | |
materials | object[] | Materials required for production | |
materials[].nomenclature | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
materials[].quantity | number | yes | The amount of items |
materials[].warehouse | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request | |
materials[].price | number | yes | The price of the item/document |
materials[].totalSum | number | yes | The sum of the document |
materials[].reserve | number | The amount of the product that has been reserved | |
materials[].stockBalance | number | Stock balance on the warehouse | |
materials[].readyQuantity | number | Quantity of the finished product | |
materials[].specificationQuantity | number | Quantity in the specification | |
materials[].uniqueId | string | Row unique id of the material line | |
materials[].relatesTo | string | uniqueId of the related product line | |
materials[].stageId | string | uniqueId of the related production stage | |
materials[].unit | string (uuid) | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request | |
materials[].specification | string (uuid) | A unique identifier for the Specification, obtainable from the /specification/api-readList request | |
materials[].batch | object | null | Material batch / lot | |
materials[].supplier | object | null | A unique identifier for a counterparty of type ‘isSupplier’. You can retrieve this UUID using the /counterparty/api-readList request | |
materials[].contract | object | null | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request | |
materials[].analogWriteOffMethod | number | Method of writing off analogs | |
counterparty | string (uuid) | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request | |
products | object[] | yes | An array of product objects, representing the nomenclatures included in the document |
products[].nomenclature | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
products[].quantity | number | yes | The amount of items |
products[].specification | string (uuid) | yes | A unique identifier for the Specification, obtainable from the /specification/api-readList request |
products[].order | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request | |
products[].uniqueId | string | Row unique id of the product line | |
products[].price | number | The price of the item/document | |
products[].totalSum | number | The sum of the document | |
products[].costShare | number | Cost share | |
products[].comment | string | An optional text field for any additional notes or comments related to the document | |
products[].reserve | number | The amount of the product that has been reserved | |
products[].unit | string (uuid) | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for the Production order document |
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-create' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"startDate":"string","finishDate":"string","products":[{}]}'
api-update
POST /org2/production-order/api-update
A request to update an existing production order
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for the production order document to update |
startDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
finishDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
responsible | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList request | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | Production number | |
comment | string | An optional text field for any additional notes or comments related to the document | |
manufacturer | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request | |
status | string (uuid) | A unique identifier for the Production order status, obtainable from the /production-order/api-readStatuses request | |
baseDocument | string (uuid) | A unique identifier for the Production order document, obtainable from the /production-order/api-readList request | |
operationType | number | Production operation type code | |
operationKind | number | Production operation kind code | |
createProductionOrdersForMaterials | boolean | Create production orders for materials automatically | |
documentType | string | Document type code | |
withoutSpecification | boolean | Whether the order is without a specification | |
productionType | number (0) | number (1) | number (2) | Production type: 0 — own production, 1 — external tolling, 2 — own tolling | |
unfulfilledCount | number | Count of unfulfilled items | |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request | |
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request | |
archived | boolean | Whether the production order is archived | |
distributionType | number (0) | number (1) | Cost distribution type code | |
banDate | string | null | Document ban date, if posting is restricted | |
banUpsert | boolean | Whether upsert of the document is banned | |
productionStages | object[] | Production stages of the order | |
productionStages[].uniqueId | string | Row unique id of the production stage | |
productionStages[].relatesTo | string | uniqueId of the related product line | |
productionStages[].stage | object | null | Production stage catalog reference | |
productionStages[].priority | number | Stage priority / order | |
productionStages[].quantity | number | The amount of items | |
productionStages[].executionTime | number | Stage execution time | |
productionStages[].sum | number | The sum of the document | |
productionOperations | object[] | Production operations of the order | |
productionOperations[].uniqueId | string | Row unique id of the production operation | |
productionOperations[].relatesTo | string | uniqueId of the related production stage | |
productionOperations[].technologicalOperation | object | null | Technological operation catalog reference | |
productionOperations[].performer | object | null | A unique identifier for the Employee, obtainable from the /employee/api-readList | |
productionOperations[].contract | object | null | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request | |
productionOperations[].executionTime | number | Operation execution time | |
productionOperations[].quantity | number | The amount of items | |
productionOperations[].price | number | The price of the item/document | |
productionOperations[].sum | number | The sum of the document | |
productionOperations[].nomenclature | object | null | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request | |
productionOperations[].characteristic | object | null | Nomenclature characteristic reference | |
operationDependencies | object[] | Dependencies between production operations | |
operationDependencies[].uniqueId | string | uniqueId of the dependent production operation | |
operationDependencies[].relatesTo | string | uniqueId of the related preceding operation | |
operationDependencies[].previousOperation | string | Previous operation identifier | |
materials | object[] | Materials required for production | |
materials[].nomenclature | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
materials[].quantity | number | yes | The amount of items |
materials[].warehouse | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request | |
materials[].price | number | yes | The price of the item/document |
materials[].totalSum | number | yes | The sum of the document |
materials[].reserve | number | The amount of the product that has been reserved | |
materials[].stockBalance | number | Stock balance on the warehouse | |
materials[].readyQuantity | number | Quantity of the finished product | |
materials[].specificationQuantity | number | Quantity in the specification | |
materials[].uniqueId | string | Row unique id of the material line | |
materials[].relatesTo | string | uniqueId of the related product line | |
materials[].stageId | string | uniqueId of the related production stage | |
materials[].unit | string (uuid) | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request | |
materials[].specification | string (uuid) | A unique identifier for the Specification, obtainable from the /specification/api-readList request | |
materials[].batch | object | null | Material batch / lot | |
materials[].supplier | object | null | A unique identifier for a counterparty of type ‘isSupplier’. You can retrieve this UUID using the /counterparty/api-readList request | |
materials[].contract | object | null | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request | |
materials[].analogWriteOffMethod | number | Method of writing off analogs | |
counterparty | string (uuid) | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request | |
products | object[] | An array of product objects, representing the nomenclatures included in the document | |
products[].nomenclature | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
products[].quantity | number | yes | The amount of items |
products[].specification | string (uuid) | yes | A unique identifier for the Specification, obtainable from the /specification/api-readList request |
products[].order | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request | |
products[].uniqueId | string | Row unique id of the product line | |
products[].price | number | The price of the item/document | |
products[].totalSum | number | The sum of the document | |
products[].costShare | number | Cost share | |
products[].comment | string | An optional text field for any additional notes or comments related to the document | |
products[].reserve | number | The amount of the product that has been reserved | |
products[].unit | string (uuid) | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for the Production order document |
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readStatuses
POST /org2/production-order/api-readStatuses
A request to retrieve the available statuses for a production order document
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for the Production order document |
[].name | string | Production order name |
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-readStatuses' \
-H 'access-token: <company token>'
api-cancel
POST /org2/production-order/api-cancel
Cancel a production order document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for the production order document |
Response: data field
| Field | Type | Description |
|---|---|---|
success | boolean (true) |
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-cancel' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.